Name:           aces_container
Version:        1.0
Release:        1%{?dist}
Summary:        ACES Container Reference

License:        AMPAS BSD
URL:            https://github.com/ampas/aces_container
Source0:        https://github.com/ampas/aces_container/archive/v%{version}.tar.gz
Patch0:         Aces_container-fixup.patch

BuildRequires:  cmake

%description
This folder contains a reference implementation for an ACES container
file writer intended to be used with the Academy Color Encoding
System (ACES). The resulting file is compliant with the ACES container
specification (SMPTE S2065-4). However, there are a few things that are
not demonstrated by this reference implementation.

    Stereo channels
    EndOfFileFiller
    Arbitrary attributes and naming validations
    half type attributes
    keycode value validations

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.



%prep
%setup -q
%patch0 -p1 -b .fixup


%build
mkdir build ; cd build
%{cmake} \
 ..

make %{?_smp_mflags}


%install
cd build
%make_install


# remote noinstall style cmake file
rm %{buildroot}/%{_libdir}/CMake/AcesContainer/AcesContainerTargets-noconfig.cmake

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig



%files
%doc README.md LICENSE
%{_libdir}/libAcesContainer.so.*

%files devel
%dir %{_includedir}/aces/
%{_includedir}/aces/*.h
%dir %{_libdir}/CMake/AcesContainer
%{_libdir}/CMake/AcesContainer/*.cmake
%{_libdir}/libAcesContainer.so
%{_libdir}/pkgconfig/AcesContainer.pc


%changelog
* Sun Apr 13 2014 Nicolas Chauvet <kwizart@gmail.com> - 1.0-1
- Initial spec file

